.\"	$NetBSD: stge.4,v 1.7 2003/02/14 15:20:20 grant Exp $
.\"
.\" Copyright (c) 2001 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Jason R. Thorpe.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd July 24, 2001
.Dt STGE 4
.Os
.Sh NAME
.Nm stge
.Nd Sundance/Tamarack TC9021 Gigabit Ethernet driver
.Sh SYNOPSIS
.Cd "stge* at pci? dev ? function ?"
.Pp
Configuration of PHYs or Ten-bit interfaces may also be necessary.  See
.Xr mii 4 .
.Sh DESCRIPTION
The
.Nm
device driver supports the Sundance/Tamarack TC9021 Gigabit Ethernet
chip.
.Pp
The Sundance/Tamarack TC9021 is found on the D-Link DGE-550T, and
the Antares Microsystems Gigabit Ethernet board.  It uses an external
PHY or an external 10-bit interface.
.Pp
The TC9021 supports IPv4/TCP/UDP checksumming in hardware.  The
.Nm
driver supports this feature of the chip.  See
.Xr ifconfig 8
for information on how to enable this feature.
.\" .Sh DIAGNOSTICS
.\" XXX too be done.
.Sh SEE ALSO
.Xr arp 4 ,
.Xr ifmedia 4 ,
.Xr mii 4 ,
.Xr netintro 4 ,
.Xr pci 4 ,
.Xr ifconfig 8
.Sh HISTORY
The
.Nm
driver first appeared in
.Nx 1.6 .
.Sh AUTHORS
The
.Nm
driver was written by
.An Jason R. Thorpe
.Aq thorpej@NetBSD.org .
.Sh BUGS
The
.Nm
driver does not support the VLAN tag insertion/removal feature of the
TC9021 chip.  This is primarily because the TC9021's VLAN do not have
a useful programming interface.
.Pp
The
.Nm
driver does not yet support jumbo Ethernet frames.
.Pp
The
.Nm
driver does not yet function properly with 1000BASE-T fitted boards.
Currently, only 1000BASE-SX boards work.
